<template>
  <div>
    <img id="Anastasis" src="ressources/anastasis.png" alt="" />

    <div class="box">
      <div v-if="isConnected">
        <Folders />
      </div>

      <div v-else>
        <span class="text-center"
          >Espace réservé uniquement aux membres du projet
        </span>
        <div class="input-container">
          <label for="uname"><b>Login</b></label>
          <input
            type="text"
            placeholder="Entez votre login"
            name="uname"
            required
            v-model="login"
          />
        </div>
        <div class="input-container">
          <label for="psw"><b>Mot de passe</b></label>
          <input
            type="password"
            placeholder="Entrez votre mot de passe"
            name="psw"
            required
            v-model="pwd"
          />
        </div>
        <div class="error" v-if="isError">Accès refusé, veuillez réessayer</div>
        <button class="button" @click="testLogin()">Se connecter</button>
      </div>
    </div>
  </div>
</template>

<script>
import Folders from "../components/Folders.vue";
export default {
  name: "LoginPage",
  components: {
    Folders,
  },
  methods: {
    testLogin: function () {
      this.isError = false;
      if (this.login == "peterjosetisfi" && this.pwd == "1830142521") {
        this.$cookie.set("connected", true, "2m");
        this.isConnected = true;
      } else this.isError = true;
    },
  },
  data() {
    return {
      pwd: "",
      login: "",
      isError: false,
      isConnected: false,
    };
  },
  mounted() {
    this.isConnected = this.$cookie.get("connected");
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
@import "../assets/css/login.css";
</style>
